body {background-color: white;}
.pointer {
    cursor: pointer !important;
}
.form-control {height: auto;}
.form-horizontal .form-group {
    min-height: 39px;
    margin-left: 0;
    margin-right: 0;
    text-decoration: inherit;
}
input[type="date"],
input[type="time"],
input[type="datetime-local"],
input[type="month"] {
    line-height: normal;
}
textarea, input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"]
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"] {
    padding-bottom: 5px;
    height: 34px;
}
.input-icon input {
    padding-left: 24px;
}
textarea {
    resize: none;
}
.graphic .input-icon {
    text-align: left;
}
.graphic .input-icon > .ace-icon {
    display: none;
}
.graphic .input-icon input,
.graphic .input-icon select,
.graphic .input-icon > .chosen-container-single .chosen-single,
.graphic .input-icon > .chosen-container-multi .chosen-choices {
    padding-left: 6px;
}
.graphic .form-graphic-itemdiv {
    min-height: 0px;
    text-align: left;
}
.graphic .help-block {
    text-align: left;
}
.graphic .form-graphic-itemdiv .body .text {
    min-height: 24px;
    line-height: 24px;
    cursor: pointer;
}
.graphic .form-graphic-itemdiv .body .text:after {
    display: none;
}
.graphic .form-graphic-itemdiv .body .text:hover {
    color: #6FB3E0;
}
.graphic .help-block+ .form-graphic-itemdiv .body .text {
    color: #E08374;
}
.graphic .help-block+ .form-graphic-itemdiv .body .text:hover {
    color: #E08374;
}
.graphic .form-graphic-itemdiv .body .tools {
    bottom: 0px;
}
.graphic .form-graphic-itemdiv .body .text.hidden+ .tools {
    bottom: -24px;
}
.graphic .opinion-dialogs {
    padding: 0px 0px 5px;
}
.graphic .opinion-dialogs .itemdiv {
    min-height: 0px;
    display: block;
}
.graphic .opinion-dialogs .itemdiv:before,
.graphic .opinion-dialogs > .itemdiv > .line {
    display: none;
}
.graphic .opinion-dialogs .itemdiv .body {
    margin: 0px;
}
.graphic .opinion-dialogs .itemdiv .body .text {
    min-height: 24px;
    line-height: 24px;
    padding: 0px;
    margin: 0px;
}
.graphic .opinion-dialogs .itemdiv > .body > .text:after {
    display: none;
}
.graphic .wysiwyg-editor {
    height: 150px;
}
.graphic .ace-attachment .file-des .filename {
    text-align: left;
}
.graphic .form-read-lable {
    border-width: 0px;
    padding-left: 0px;
    padding-right: 0px;
    text-align: left;
}
.base-form .widget-body .wysiwyg-editor {
    border-width: 1px;
}
.base-form .chosen-container-single .chosen-single {
    border-radius: 0px;
}
.base-form .chosen-container > .chosen-single,
[class*="chosen-container"] > .chosen-single {
    line-height: 28px;
    height: 32px;
    box-shadow: none;
    background: none repeat scroll 0% 0% #FAFAFA;
    padding-left: 26px;
}
.base-form .chosen-container-single .chosen-drop {
    border-radius: 0px;
    border-bottom: 3px solid #4492C9;
    border-color: #4492C9;
}
/*.subtable-container {
    overflow-x: auto;
    overflow-y: hidden;
}*/
.subtable > thead > tr > th,
.subtable > tfoot > tr > th,
.subtable > tbody > tr > td {
    vertical-align: middle;
    min-width: 50px;
}
.subtable > tbody > tr > td {
    padding:0 !important;
}
.subtable.row-layout-subtable > thead > tr > th:last-child,
.subtable.row-layout-subtable > tfoot > tr > th:last-child,
.subtable.row-layout-subtable > tbody > tr > td:last-child {
    min-width: 30px;
    max-width: 50px;
    width: 30px;
}
td{
	padding: 5px 5px;
}
.ace-file-input, .ace-file-input .ace-file-container {height: 34px;}
.ace-file-input .ace-file-container:before,
.ace-file-input .ace-file-container .ace-icon {line-height: 26px;}
.ace-attachment {
    display: none;
    font-size: 13px;
    height: 34px;
}
.ace-attachment .file-des .filename {
    max-width: 90%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.ace-attachment .file-des .filename i {width:20px}
.ace-attachment .file-des .filename img {
	width: 34px;
	height: 29px;
    border: 1px solid #AAA;
    padding: 1px;
    background-color: #FFF;
    margin-right: 4px
}
.ace-attachment .progress {
    height:6px;
    border-radius: 3px;
    margin-top: 11px;
    margin-bottom: 0px;
}
.ace-attachment .handle a {
    margin-left:5px;
}
.input-icon.form-control,
.ace-spinner.form-control,
.checkbox.form-control,
.radio.form-control,
.ace-file-input.form-control,
.form-control.no-border
{
    border: none;
}
.form-control.input-mini.spinbox-input {
    height: 34px;
}
.ace-spinner.form-control > .input-group > .spinbox-buttons > .btn {
    height: 16.5px;
}
.form-control[data-type='org'] {cursor: pointer;}
label {margin-bottom: 0px;}
.input-icon > .ace-icon {color: #478FCA}
.has-error .wysiwyg-editor {border: 1px solid #f2a696;}
.has-error .wysiwyg-toolbar {background-color: #f2a696;}
.has-error .radio, .has-error .checkbox {color: #D16E6C;}
.has-error .ace-file-input .ace-file-container {border: 1px solid #f2a696;}
.has-error .ace-file-input .ace-file-container .ace-icon,
.has-error .ace-file-input .ace-file-container.selected .ace-file-name .ace-icon {background: #f2a696;}
.has-error .ace-file-input .ace-icon,
.has-error .input-group-btn .btn-opinion .ace-icon{
    color: #fff;
}
.has-error .edui-default .edui-editor { border: 1px solid #f2a696; }

.textarea-opinion, .btn-opinion {
    height: 49px !important;
}
.btn-opinion .ace-icon {
    color: #478FCA;
}
.opinion-dialogs {
    padding: 0px 0px 9px 0px;
    text-align: left;
}
.opinion-showothers-btn{
    border-radius: 100%;
    position: absolute;
    top: 6px;
    left: 9px;
}
.form-group > .opinion-showothers-btn {
    left: 0px;
}
.form-group.relative > .opinion-showothers-btn {
    left: -3px;
}
.opinion-dialog-load {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background-color: white;
    text-align: center;
    opacity: 0.6;
}
.opinion-dialogs .itemdiv:before {
    content: "";
    display: block;
    position: absolute;
    left: 5px;
    top: 10px;
    bottom: -10px;
    border-width: 0;
    background-color: #DDD;
    width: 2px;
    max-width: 2px;
}
.opinion-dialogs > .itemdiv.dialogdiv {padding-bottom: 5px;}
.opinion-dialogs > .itemdiv.dialogdiv > .body {margin-right: 0px;}
.opinion-dialogs > .itemdiv > .line {
    display: inline-block;
    width: 42px;
    position: absolute;
    left: 0px;
}
.opinion-dialogs > .itemdiv > .line .timeline-indicator {
    font-size: 0;
    height: 12px;
    line-height: 12px;
    width: 12px;
    border-width: 1px !important;
    background-color: #FFFFFF !important;
    position: absolute;
    left: 0px;
    top: 10px;
    opacity: 1;
    border-radius: 100%;
    display: inline-block;
    padding: 0;
}
.opinion-dialogs > .itemdiv > .body {
    margin-left: 25px;
}
.opinion-dialogs > .itemdiv > .body > .name {
    margin-top: 3px;
    text-align: right;
}
.opinion-dialogs > .itemdiv > .body > .text {
    word-break: break-all;
}
.sign-container:empty {
    padding: 0px 0px;
}
.sign-container {
    padding-top: 6px;
    padding-bottom: 6px;
    min-height: 34px;
}
.sign-container .sign {
    line-height: 22px;
}
.tag-input-style + .chosen-container-multi .chosen-choices li.search-choice {
    padding: 4px 20px 4px 5px;
}
.tag-input-style + .chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
    line-height: 22px;
}
.chosen-container-multi .chosen-choices {
    background-image: none;
    border-color: #D5D5D5;
    padding-left: 26px !important;
}
.btn-manual-number, .btn-manual-number:focus,
.btn-opinion,.btn-opinion:focus {
    background-color: #6FB3E0 !important;
    border-color: #6FB3E0;
}
.btn-manual-number:hover,
.btn-manual-number:active,
.btn-manual-number.dropdown-toggle,
.btn-opinion:hover,
.btn-opinion:active,
.btn-opinion.dropdown-toggle
{
    background-color: #4f99c6 !important;
    border-color: #6fb3e0;
}
.form-group.has-error .control-label,
.has-error .control-label {color: #393939}
.has-error .btn-manual-number,
.has-error .btn-manual-number:focus,
.has-error .btn-opinion,
.has-error .btn-opinion:focus {
    background-color: #D68273 !important;
    border-color: #D68273;
}
.has-error .btn-manual-number:hover,
.has-error .btn-manual-number:active,
.has-error .btn-manual-number.dropdown-toggle,
.has-error .btn-opinion:hover,
.has-error .btn-opinion:active,
.has-error .btn-opinion.dropdown-toggle
{
    background-color: #c26464 !important;
    border-color: #D68273;
}
.has-error .chosen-choices {
    border-color: #F2A696;
    color: #D68273;
}

.form-actions {
    display: block;
    margin: 0px;
    padding: 3px;
    margin-left: -20px;
    margin-right: -20px;
}
.form-actions > div {
    text-align: center !important;
}
.form-actions > div > .btn {
    margin-top: 1px;
    margin-bottom: 1px;
}
.form-read-lable {
    min-height: 34px;
    word-break: break-all;
}
/*.radio.form-control label, .checkbox.form-control label {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100px;
}*/
.radio label input,
.checkbox label input {
    margin: 2px 5px 0px 0px;
}

@media (min-width: 768px) {
    .page-content{
        margin-bottom:57px;
    }
    .form-actions {
        display: block;
        margin: 0px;
        padding: 10px;
        bottom: 0px;
        left: 0px;
        right: 0px;
        z-index: 100;
    }
    .form-actions > div {
        text-align: right !important;
    }
}
.wysiwyg-editor font{
    font-family: initial;
}
.no-skin #cboxOverlay {
	background-color: #000;
}

#cboxWrapper #cboxContent {
	overflow: visible;
	border: 0px;
}
#cboxContent #cboxNext,
#cboxContent #cboxPrevious,
#cboxContent #cboxClose {
  background: none;
  text-indent: 0;
  width: 26px;
  height: 26px;
  line-height: 22px;
  padding: 0 4px;
  text-align: center;
  border: 2px solid #999;
  border-radius: 16px;
  color: #666;
  font-size: 12px;
  margin-left: 5px;
  margin-bottom: 5px;
}
#cboxContent #cboxClose {
	background-color: #000;
    border: 2px solid #FFF;
  	border-radius: 32px;
  	color: #FFF;
  	font-size: 21px;
  	height: 28px;
  	width: 28px;
  	padding-bottom: 2px;
  	margin-left: 0;
  	right: -14px;
  	top: -14px;
}
.print .opinion-showothers-btn {
    display: none;
}
.iconpicker-popover .search-control {
	margin: 0px;
}
.subtable-div .form-group {
	margin: 0;
	padding:0 10px;
	float: left;
}
.subtable-del-btn {
    float: left;
    position: absolute;
    right: 3px;
    top: -5px
}
.subtable-add-btn > a{
	font-size: 14px;
	color: #333333;
	padding: 5px 10px;
}
.subtable-add-btn > a:hover {
	text-decoration: underline;
	text-decoration: none;
	color: #333333;
}
/*.subtable {*/
    /*table-layout: fixed;*/
/*}*/
.subtable > thead > tr > th {
    overflow: hidden;
    text-overflow: ellipsis;
    word-wrap: normal;
    word-break: keep-all;
    white-space: nowrap;
}
.subtable > thead > tr > th:last-child {
    width:37px;
}
.base-form .control-label {
    display: block;
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space:pre;
    text-align: left !important;
    font-weight: inherit;
}
@media (min-width: 768px){
    .base-form .control-label[class*="col-"] {
        text-align: right!important;
    }
}
.wysiwyg-editor {
	max-height: none;
}
.label-p {
	margin:0;
}
.table-layout td .form-group {
	min-height:0;
}
.table-bordered.row-layout-subtable {
	border: 1px solid #dddddd;
}
.table-bordered.table-layout-subtable {
	border-bottom: 1px solid #dddddd;
}
.table-layout > tbody > tr > td {
	padding:0;
}
.table-layout-subtable {
	border-bottom: 1px solid #dddddd;
}
.table-layout-subtable > tbody > tr > td {
	border: 1px solid #dddddd;
	position:relative;
}
.table-layout > tbody > tr > td {
	padding:0;
}
.table-layout-subtable > tbody > tr > td > .action-buttons {
	display:none;
}
.table-layout-subtable > tbody > tr:hover > td > .action-buttons {
	display:block;
	position:absolute;
	top:10px;
	right:-10px;
}
.subtable-add-btn {
	padding: 0 0 3px 10px;
}
table .form-group,
.form-group.has-error .help-block{
	margin-bottom: 0;
}

/* 不显示边框 */
table[data-type="component-table"][frame*="not"] > tbody > tr > td{
    border:none !important;
}
table[data-type="component-table"][frame*="not"] {
    border-style: hidden !important;
}
/* 内边框 */
table[data-type="component-table"][frame*="void"] {
    border-style:hidden !important;
}
/* 外边框 */
table[data-type="component-table"][frame*="border"] > tbody > tr > td{
    border:none !important;
}
/*上边框*/
table[data-type="component-table"][frame*="above"] {
    border-bottom-style: hidden !important;
    border-left-style: hidden !important;
    border-right-style: hidden !important;
}
/*下边框*/
table[data-type="component-table"][frame*="below"] {
    border-top-style: hidden !important;
    border-left-style: hidden !important;
    border-right-style: hidden !important;
}
/*左边框*/
table[data-type="component-table"][frame*="lhs"] {
    border-top-style: hidden !important;
    border-bottom-style: hidden !important;
    border-right-style: hidden !important;
}
/*右边框*/
table[data-type="component-table"][frame*="rhs"] {
    border-top-style: hidden !important;
    border-bottom-style: hidden !important;
    border-left-style: hidden !important;
}
/*横框线*/
table[data-type="component-table"][frame*="horizon"] {
    border-left-style: hidden !important;
    border-right-style: hidden !important;
}
table[data-type="component-table"][frame*="horizon"] > tbody > tr > td{
    border-left-style:hidden !important;
}
/*竖框线*/
table[data-type="component-table"][frame*="vertical"] {
    border-top-style: hidden !important;
    border-bottom-style: hidden !important;
}
table[data-type="component-table"][frame*="vertical"] > tbody > tr > td{
    border-top-style:hidden !important;
}
/*附件模拟placeholder*/
.attached-placeholder{
    position:absolute;
    left:28px;
    right:44px;
    top:8px;
    white-space:nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
    color: #999999;
}
table > tbody > tr > td .form-group.col-xs-12{
    padding:8px;
}
table[data-type="component-table"] .subtable {
  /*border-style: hidden !important;*/
  border-top-style: hidden !important;
  border-right-style: hidden !important;
  border-left-style: hidden !important;
}
table[data-type="component-table"] > tbody > tr > td {
    padding: 0;
    border-width: 1px;
}
table[data-type="component-table"] .subtable-container > .subtable-add-btn {
	border-top: 1px solid #ddd;
}
.subtable > tbody > tr:hover > td > .dropdown-menu {
	display:block;
}
.subtable .dropdown-menu {
	min-width:80px;
}
.subtable .dropdown-menu > li > a > .ace-icon {
    margin-right: 6px;
    font-size: 120%;
}
p[data-type="component-label"] {
	margin:0;
	white-space: pre-wrap;
}

/* 没有字段引用的校验提示 */
.no-field-ref-valid {
    display: none;
    visibility: hidden;
}
.no-field-ref-valid.has-error {
    display: block;
    visibility: visible;
}

textarea.mustInput, input.mustInput {
    border-color: #F2A696;
}
.mustInput[aria-invalid=false] {
    border-color: #D5D5D5;
}

/*下拉框placeholder居左*/
div .chosen-default span{
    position: absolute;
}
.print-form td{
    width: 50%;
    padding: 8px!important;
}
.form-print-label{
    white-space: pre-wrap;
    word-break: break-all;
}
/*td > div.td-sub-div{
    padding: 0 !important;
}*/
table[data-type="component-table"] .has-error {
    text-align:left;
}
input[data-type="number"]{
    height: 34px !important;
}
.workflow-body .form-body > .row {
    margin:0;
}
.form-horizontal .radio,
.form-horizontal .checkbox,
.form-horizontal .radio-inline,
.form-horizontal .checkbox-inline {
	padding-top: 4px;
}
.radio-inline + .radio-inline,
.checkbox-inline + .checkbox-inline {
	margin-left: 0;
}
.selectivity-single-result-container {
	top: 0.5em;
}
.selectivity-single-selected-item-remove {
	color: #88888B;
}
.selectivity-dropdown {
    -webkit-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    border: 1px solid rgba(0, 0, 0, 0.15);
}
.selectivity-single-select,.selectivity-multiple-input-container {
	border: 1px solid #D5D5D5;
}
.selectivity-multiple-selected-item {
	background: #91b8d0 !important;
}
.table > thead > tr {
	background-image: none;
}
.print .control-label{
    padding-top: 0;
    white-space: normal;
}
.print td > div.td-sub-div{
    padding: 1px 0;
}

.print .subtable > tbody > tr > td {
    vertical-align: middle;
    min-width: 20px !important;
    position: static !important;
}

.td-sub-div{
    padding: 0 !important;
    background-color: rgba(191, 187, 187, 0.15);
}

.sub-table-div{
    border: 1px #ADADAD dashed;
    margin-bottom: 10px;
    background-color: white;
    padding-bottom: 8px !important;
}

.sub-table-div-label{
    word-break: break-all;
    word-wrap: break-word;
}

::-webkit-scrollbar-track-piece {
  background-color: #fff;
  -webkit-border-radius: 0
}
::-webkit-scrollbar {
  width: 10px;
  height: 10px
}
::-webkit-scrollbar-thumb {
  height: 50px;
  background-color: #b8b8b8;
  -webkit-border-radius: 6px;
  outline: 2px solid #fff;
  outline-offset: -2px;
  border: 2px solid #fff;
  -moz-opacity: 0.5;
  -khtml-opacity: 0.5;
  filter: alpha(opacity=50);
  opacity: 0.5
}
::-webkit-scrollbar-thumb:hover {
  height: 50px;
  background-color: #878987;
  -webkit-border-radius: 6px
}
/*2023-09-04 修改editor的图片宽度*/
.editorImg img{
    width: 100%;
}
.editorImg label{
    font-size: 16px !important ;
}
